仙仙仙气
2019-05-17 19:53
采纳率: 100%
浏览 1.7k

Pycharm创建Django项目时配置虚拟环境报错

首先使用代码创建django项目
配置虚拟环境出现以上错误
anconda 是最新的 19.03版本
Python 3.7.3
pycharm 是专业版 19.02版本
Django 2.0.7
如图,问这个怎么办?
出现这个问题是因为我原来的Django在虚拟环境运行时候找不到指定模块,所以重装了。但是重装之后出现这个问题,求大神解决!

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

1条回答 默认 最新

  • 仙仙仙气 2019-05-18 17:29
    已采纳

    问题已经解决

    在这里给大家提供两种解决方案

    一:

        将Anconda3根目录下的python.exe and pythonw.exe 放到他出错的路径下 
        根据我的报错显示,我将这两个文件放入到anconda3\lib\venv\scripts\nt 文件夹下 
        问题解决,虚拟环境也可以创建(这是我自己研究出来的办法,具体有什么bug 现在不知 但django 项目可以运行)
    

    二:

        查阅资料后,得到问题答案,出现这种情况是pyhon3.7.3的二进制编码问题,
        可以将python版本降低到3.6.3 or 3.6.8 
        不考虑3.7.2的原因是因为有些模块3.7不支持
        具体如何降低python版本,请自行百度
    

    如有错误,请联系我

    点赞 评论

相关推荐 更多相似问题